import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'

//declare the url of the json file containing state information
const jsonUrl =
  "https://raw.githubusercontent.com/martinjc/UK-GeoJSON/master/json/administrative/eng/topo_lad.json";

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)

  //useEffect() to run the effects after any changes to the DOM.
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          land: feature(topojsonData, topojsonData.objects['lad']),
        	interiors: mesh(topojsonData, topojsonData.objects['lad'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};